package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class UskomListPemeriksaanVO extends BaseTransactionVO{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Uskom Pemeriksaan FK")
	private UskomPemeriksaanVO uskomPemeriksaan;
	
	@Caption(value="Tanggal")
	private Date tanggal;
	
	@Caption(value="Sistole/Distole")
	private String sistoleDistole;
	
	@Caption(value="FrekuensiNadi")
	private String frekuensiNadi;
	
	@Caption(value="Saturasi")
	private String saturasi;
	
	@Caption(value="Hemoglobin")
	private String hemoglobin;
	
	@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="uskomListPemeriksaan")
	private Set<UskomJenisPemeriksaanVO> uskomJenisPemeriksaan = new HashSet<>();
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Pegawai FK")
	private PegawaiVO pegawai;

	public UskomPemeriksaanVO getUskomPemeriksaan() {
		return uskomPemeriksaan;
	}

	public void setUskomPemeriksaan(UskomPemeriksaanVO uskomPemeriksaan) {
		this.uskomPemeriksaan = uskomPemeriksaan;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public String getSistoleDistole() {
		return sistoleDistole;
	}

	public void setSistoleDistole(String sistoleDistole) {
		this.sistoleDistole = sistoleDistole;
	}

	public String getFrekuensiNadi() {
		return frekuensiNadi;
	}

	public void setFrekuensiNadi(String frekuensiNadi) {
		this.frekuensiNadi = frekuensiNadi;
	}

	public String getSaturasi() {
		return saturasi;
	}

	public void setSaturasi(String saturasi) {
		this.saturasi = saturasi;
	}

	public String getHemoglobin() {
		return hemoglobin;
	}

	public void setHemoglobin(String hemoglobin) {
		this.hemoglobin = hemoglobin;
	}

	public Set<UskomJenisPemeriksaanVO> getUskomJenisPemeriksaan() {
		return uskomJenisPemeriksaan;
	}

	public void setUskomJenisPemeriksaan(Set<UskomJenisPemeriksaanVO> uskomJenisPemeriksaan) {
		this.uskomJenisPemeriksaan = uskomJenisPemeriksaan;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}
	
}
